WARNQUOTA(8)

NAZWA
warnquota - wysyła mail do użytkowników z przekroczoną kwotą dysku

SKŁADNIA
warnquota [ -ugsid ] [ -F quotaformat ] [ -q quotatab ] [ -c configfile ] [ -a adminsfile ]

OPIS
warnquota sprawdza kwoty dyskowe dla każdego systemu plików i wysyła ostrzeżenia do tych użytkowników, którzy osiągnęli miękki limit kwot. Zazwyczaj jest uruchamiana przez cron(8).

-F, --format=quotaformat
    Wymusza ustawienie podanego formatu (tj. nie przeprowadza automatycznego wykrywania formatu). Możliwe nazwy formatów: vfsold (kwoty w wersji 1), vfsv0 (kwoty w wersji 2), rpc (kwoty po NFS), xfs (kwoty w systemie plików XFS)

-q, --quota-tab=quotatab
    Używa pliku quotatab zamiast /etc/quotatab jako pliku z opisem urządzeń (patrz przykładowy plik po opis składni).

-c, --config=configfile
    Używa pliku configfile zamiast /etc/warnquota.conf jako pliku konfiguracyjnego (patrz przykładowy plik po opis składni).

-a, --admins-file=adminsfile
    Używa pliku adminsfile zamiast /etc/quotagrpadmins jako pliku zawierającego nazwy administratorów grup.

-u, --user
    sprawdza, czy użytkownicy nie przekraczają kwot (domyślnie).

-g, --group
    sprawdza, czy grupy nie przekraczają kwot. Jeżeli grupa przekracza kwotę, to jest wysyłany mail do użytkownika podanego w /etc/quotagrpadmins.

-s, --human-readable
    Próbuje raportować użytą przestrzeń, liczbę używanych i-węzłów oraz limity w jednostkach bardziej odpowiednich niż te domyślne.

-i, --no-autofs
    ignoruje punkty zamontowane przez automountera.

-d, --no-details
    nie dołącza raportu kwot do e-mailu.

PLIKI
aquota.user
    plik kwoty w głównym katalogu systemu plików (kwota w wersji 2 na systemach plików nie będących XFS)
quota.user
    plik kwoty w głównym katalogu systemu plików (kwota w wersji 1 na systemach plików nie będących XFS)
/etc/warnquota.conf
    plik konfiguracyjny
/etc/quotatab
    opis urządzenia
/etc/quotagrpadmins
    administratorzy grup
/etc/mtab
    domyślne systemy plików
/etc/passwd
    domyślni użytkownicy

ZOBACZ TAKŻE
quota(1), cron(8), edquota(8).

AUTORZY
warnquota(8) napisał Marco van Wieringen <mvw@planets.elm.net>, modyfikował Jan Kara <jack@suse.cz>. Tę stronę podręcznika napisał Heiko Schlittermann <heiko@lotte.sax.de>, modyfikował Jan Kara